Bug 1570555 - Review Request: python-pgspecial - Python implementation of postgres meta commands (backslash commands)
Summary: Review Request: python-pgspecial - Python implementation of postgres meta com...
Keywords:
Status: CLOSED DUPLICATE of bug 1833783
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1570551
TreeView+ depends on / blocked
 
Reported: 2018-04-23 08:25 UTC by Dick Marinus
Modified: 2020-05-11 19:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-11 19:25:59 UTC
Type: ---
ppisar: fedora-review?


Attachments (Terms of Use)

Description Dick Marinus 2018-04-23 08:25:39 UTC
Spec URL: https://github.com/dbcli/copr-python-pgspecial/blob/master/python-pgspecial.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/meeuw/pgcli/fedora-27-x86_64/00743703-python-pgspecial/python-pgspecial-1.10.0-1.fc27.src.rpm
Description: This package provides an API to execute meta-commands (AKA "special", or "backslash commands") on PostgreSQL.
Fedora Account System Username: meeuw

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-05-19 16:08:56 UTC
rpmlint:
python3-pgspecial.noarch: W: unexpanded-macro %description -l C %{desc}
python3-pgspecial.noarch: W: spelling-error %description -l en_US desc -> disc, desk, descry
python3-pgspecial.noarch: W: no-documentation
python-pgspecial.src: E: description-line-too-long C This package provides an API to execute meta-commands (AKA "special", or "backslash commands") on PostgreSQL.
python-pgspecial.src:83: W: macro-in-comment %license
python-pgspecial.src:90: W: macro-in-comment %license
2 packages and 0 specfiles checked; 1 errors, 5 warnings.
→ all valid, need to be fixed.

URL: http://pgcli.com → URL: https://pgcli.com

rm -rf mycli.egg-info
→ Not needed, it's only binary eggs that need to be deleted.

You don't use %pypi_name consistently. I'd suggest get rid of that define, it just makes this harder to read.

You use both %bcond_with %global with_*. It should be one or the other. I'd suggest getting rid of %bcond (it's a really confusing interface), and just having two defines: %global with_python2, %global with python3.

--

I can sponsor you. My requirements apart from this package will be two or three reviews of other packages. Please see http://fedoraproject.org/PackageReviewStatus/NEW.html for a list of interesting candidates. Please set up mock, if you haven't already, and base your reviews on fedora-review output, but note that fedora-review does get stuff wrong occasionally and leaves a lot of boxes to be filled manually. In the reviews make a comment that your review is informal because you are not in the packagers group yet. After you are, you can finish those reviews, if nobody else beats you to it.

In case of questions, feel free to query me on IRC (I'm zbyszek in #fedora-devel), or by mail.

Comment 2 Dick Marinus 2018-05-21 10:46:06 UTC
It would be great if you'd sponsor this package. I've made some changes (see github / copr) and reviewed python-yaml (new package) and python-cli-helpers (existing package). I've also updated pgspecial to 1.11.0.

Comment 3 Itamar Reis Peixoto 2020-05-11 19:25:59 UTC
I saw this only now

pgcli + pgspecial included in fedora, If you would like to help maintaining it let me know

*** This bug has been marked as a duplicate of bug 1833783 ***


Note You need to log in before you can comment on or make changes to this bug.